%define perlvendorlib %(perl -e 'use Config; print $Config{installvendorlib}')
%define perlman1dir %(perl -e 'use Config; print $Config{installman1dir}')
%define perlman3dir %(perl -e 'use Config; print $Config{installman3dir}')
%define perlversion %(perl -e 'use Config; print $Config{version}')

%define appname IO-stringy

Name: perl-%{appname}
Version: 2.109
Release: 1
Summary: Perl IO::File::Cached module
License: distributable
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 0:5.00503
BuildArchitectures: noarch
Source0: %{appname}-%{version}.tar.gz
Requires: perl >= %{perlversion}


%description

%prep
%setup -q -n %{appname}-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor
make
make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
PERL_VERSION=`perl -e '$version = sprintf "%vd", $^V; $version =~ s/\.[^\.]+$//; print "$version\n"'`
if [ "$PERL_VERSION" == "5.8" ]; then
  export PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
fi
make PREFIX=$RPM_BUILD_ROOT/usr install


[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%files
%defattr(-,root,root)
%{perlman3dir}/*
%{perlvendorlib}/IO/Scalar.pm
%{perlvendorlib}/IO/Wrap.pm
%{perlvendorlib}/IO/Lines.pm
%{perlvendorlib}/IO/WrapTie.pm
%{perlvendorlib}/IO/ScalarArray.pm
%{perlvendorlib}/IO/AtomicFile.pm
%{perlvendorlib}/IO/Stringy.pm
%{perlvendorlib}/IO/Scalar.pm.html
%{perlvendorlib}/IO/InnerFile.pm
